Bug 1223686 - Unstable connection to ZTE MF28D router
Summary: Unstable connection to ZTE MF28D router
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-wireless-iwl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-21 08:49 UTC by Krzysztof Jurewicz
Modified: 2015-06-07 09:18 UTC (History)
9 users (show)

Fixed In Version: linux-firmware-20150521-52.git3161bfa4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-28 12:00:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Krzysztof Jurewicz 2015-05-21 08:49:09 UTC
When connecting to ZTE MF28D router through WiFi on Thinkpad X1 Carbon (3rd generation) and Fedora 22, connection doesn’t seem to be fast and hangs after a while. Turning WiFi off and on resets the symptoms, so it helps only for a while. ZTE MF28D works well with an Android phone; the laptop works well with other WiFi routers.

Kernel: 4.0.4-300.fc22.x86_64
Network controller: Intel Corporation Wireless 7265 (rev 59)

Here is what looks like a relevant part of journal:

kernel: iwlwifi 0000:04:00.0: Queue 16 stuck for 10000 ms.
kernel: iwlwifi 0000:04:00.0: Current SW read_ptr 241 write_ptr 252
kernel: iwl data: 00000000: 00 00 00 00 00 00 00 00 00 00 fe 0f 00 00 00 00  ................
kernel: iwlwifi 0000:04:00.0: FH TRBs(0) = 0x00000000
kernel: iwlwifi 0000:04:00.0: FH TRBs(1) = 0xc01100fc
kernel: iwlwifi 0000:04:00.0: FH TRBs(2) = 0x00000000
kernel: iwlwifi 0000:04:00.0: FH TRBs(3) = 0x80300013
kernel: iwlwifi 0000:04:00.0: FH TRBs(4) = 0x00000000
kernel: iwlwifi 0000:04:00.0: FH TRBs(5) = 0x00000000
kernel: iwlwifi 0000:04:00.0: FH TRBs(6) = 0x00000000
kernel: iwlwifi 0000:04:00.0: FH TRBs(7) = 0x007090f0
kernel: iwlwifi 0000:04:00.0: Q 0 is active and mapped to fifo 3 ra_tid 0x0000 [19,20]
kernel: iwlwifi 0000:04:00.0: Q 1 is active and mapped to fifo 2 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 2 is active and mapped to fifo 1 ra_tid 0x0000 [138,138]
kernel: iwlwifi 0000:04:00.0: Q 3 is active and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 4 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 5 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 6 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 7 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 8 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 9 is active and mapped to fifo 7 ra_tid 0x0000 [241,241]
kernel: iwlwifi 0000:04:00.0: Q 10 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 11 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 12 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 13 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 14 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 15 is active and mapped to fifo 5 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 16 is active and mapped to fifo 1 ra_tid 0x0000 [241,253]
kernel: iwlwifi 0000:04:00.0: Q 17 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 18 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Q 19 is inactive and mapped to fifo 0 ra_tid 0x0000 [0,0]
kernel: iwlwifi 0000:04:00.0: Microcode SW error detected.  Restarting 0x2000000.
kernel: iwlwifi 0000:04:00.0: CSR values:
kernel: iwlwifi 0000:04:00.0: (2nd byte of CSR_INT_COALESCING is CSR_INT_PERIODIC_REG)
kernel: iwlwifi 0000:04:00.0:        CSR_HW_IF_CONFIG_REG: 0X00489200
kernel: iwlwifi 0000:04:00.0:          CSR_INT_COALESCING: 0X00000040
kernel: iwlwifi 0000:04:00.0:                     CSR_INT: 0X00000000
kernel: iwlwifi 0000:04:00.0:                CSR_INT_MASK: 0X00000000
kernel: iwlwifi 0000:04:00.0:           CSR_FH_INT_STATUS: 0X00000000
kernel: iwlwifi 0000:04:00.0:                 CSR_GPIO_IN: 0X00000000
kernel: iwlwifi 0000:04:00.0:                   CSR_RESET: 0X00000000
kernel: iwlwifi 0000:04:00.0:                CSR_GP_CNTRL: 0X080403c5
kernel: iwlwifi 0000:04:00.0:                  CSR_HW_REV: 0X00000210
kernel: iwlwifi 0000:04:00.0:              CSR_EEPROM_REG: 0Xd55555d5
kernel: iwlwifi 0000:04:00.0:               CSR_EEPROM_GP: 0X00000000
kernel: iwlwifi 0000:04:00.0:              CSR_OTP_GP_REG: 0Xd55555d5
kernel: iwlwifi 0000:04:00.0:                 CSR_GIO_REG: 0X00080042
kernel: iwlwifi 0000:04:00.0:            CSR_GP_UCODE_REG: 0X00000000
kernel: iwlwifi 0000:04:00.0:           CSR_GP_DRIVER_REG: 0X00000000
kernel: iwlwifi 0000:04:00.0:           CSR_UCODE_DRV_GP1: 0X00000000
kernel: iwlwifi 0000:04:00.0:           CSR_UCODE_DRV_GP2: 0X00000000
kernel: iwlwifi 0000:04:00.0:                 CSR_LED_REG: 0X00000060
kernel: iwlwifi 0000:04:00.0:        CSR_DRAM_INT_TBL_REG: 0X880babd6
kernel: iwlwifi 0000:04:00.0:        CSR_GIO_CHICKEN_BITS: 0X27800200
kernel: iwlwifi 0000:04:00.0:             CSR_ANA_PLL_CFG: 0Xd55555d5
kernel: iwlwifi 0000:04:00.0:      CSR_MONITOR_STATUS_REG: 0Xebb7f7f7
kernel: iwlwifi 0000:04:00.0:           CSR_HW_REV_WA_REG: 0X0001001a
kernel: iwlwifi 0000:04:00.0:        CSR_DBG_HPET_MEM_REG: 0Xffff0010
kernel: iwlwifi 0000:04:00.0: FH register values:
kernel: iwlwifi 0000:04:00.0:         FH_RSCSR_CHNL0_STTS_WPTR_REG: 0X22296c00
kernel: iwlwifi 0000:04:00.0:        FH_RSCSR_CHNL0_RBDCB_BASE_REG: 0X02229520
kernel: iwlwifi 0000:04:00.0:                  FH_RSCSR_CHNL0_WPTR: 0X00000018
kernel: iwlwifi 0000:04:00.0:         FH_MEM_RCSR_CHNL0_CONFIG_REG: 0X00801114
kernel: iwlwifi 0000:04:00.0:          FH_MEM_RSSR_SHARED_CTRL_REG: 0X000000fc
kernel: iwlwifi 0000:04:00.0:            FH_MEM_RSSR_RX_STATUS_REG: 0X03030000
kernel: iwlwifi 0000:04:00.0:    FH_MEM_RSSR_RX_ENABLE_ERR_IRQ2DRV: 0X00000000
kernel: iwlwifi 0000:04:00.0:                FH_TSSR_TX_STATUS_REG: 0X07ff0001
kernel: iwlwifi 0000:04:00.0:                 FH_TSSR_TX_ERROR_REG: 0X00000000
kernel: iwlwifi 0000:04:00.0: Start IWL Error Log Dump:
kernel: iwlwifi 0000:04:00.0: Status: 0x00000000, count: 6
kernel: iwlwifi 0000:04:00.0: Loaded firmware version: 25.15.12.0
kernel: iwlwifi 0000:04:00.0: 0x00000084 | NMI_INTERRUPT_UNKNOWN
kernel: iwlwifi 0000:04:00.0: 0x000002F0 | uPc
kernel: iwlwifi 0000:04:00.0: 0x00000000 | branchlink1
kernel: iwlwifi 0000:04:00.0: 0x00042870 | branchlink2
kernel: iwlwifi 0000:04:00.0: 0x00043154 | interruptlink1
kernel: iwlwifi 0000:04:00.0: 0x000008D6 | interruptlink2
kernel: iwlwifi 0000:04:00.0: 0x00000000 | data1
kernel: iwlwifi 0000:04:00.0: 0x00000080 | data2
kernel: iwlwifi 0000:04:00.0: 0x07030000 | data3
kernel: iwlwifi 0000:04:00.0: 0x2DC121A5 | beacon time
kernel: iwlwifi 0000:04:00.0: 0xD4A61E5B | tsf low
kernel: iwlwifi 0000:04:00.0: 0x00000048 | tsf hi
kernel: iwlwifi 0000:04:00.0: 0x00000000 | time gp1
kernel: iwlwifi 0000:04:00.0: 0x12A6612F | time gp2
kernel: iwlwifi 0000:04:00.0: 0x00000000 | time gp3
kernel: iwlwifi 0000:04:00.0: 0x0004190F | uCode version
kernel: iwlwifi 0000:04:00.0: 0x00000210 | hw version
kernel: iwlwifi 0000:04:00.0: 0x00489200 | board version
kernel: iwlwifi 0000:04:00.0: 0x0000001C | hcmd
kernel: iwlwifi 0000:04:00.0: 0x0002200A | isr0
kernel: iwlwifi 0000:04:00.0: 0x01800000 | isr1
kernel: iwlwifi 0000:04:00.0: 0x00000002 | isr2
kernel: iwlwifi 0000:04:00.0: 0x004140C0 | isr3
kernel: iwlwifi 0000:04:00.0: 0x00000000 | isr4
kernel: iwlwifi 0000:04:00.0: 0x00000110 | isr_pref
kernel: iwlwifi 0000:04:00.0: 0x00000000 | wait_event
kernel: iwlwifi 0000:04:00.0: 0x0000ED21 | l2p_control
kernel: iwlwifi 0000:04:00.0: 0x00000020 | l2p_duration
kernel: iwlwifi 0000:04:00.0: 0x00000003 | l2p_mhvalid
kernel: iwlwifi 0000:04:00.0: 0x000000DE | l2p_addr_match
kernel: iwlwifi 0000:04:00.0: 0x00000005 | lmpm_pmg_sel
kernel: iwlwifi 0000:04:00.0: 0x03021423 | timestamp
kernel: iwlwifi 0000:04:00.0: 0x00341828 | flow_handler
kernel: ieee80211 phy0: Hardware restart was requested
kernel: iwlwifi 0000:04:00.0: L1 Enabled - LTR Enabled
kernel: iwlwifi 0000:04:00.0: L1 Enabled - LTR Enabled

Comment 1 John W. Linville 2015-05-21 14:57:00 UTC
Side note -- we really need to eliminate the iwlwifi-firmware component...

Comment 2 Josh Boyer 2015-05-21 15:02:01 UTC
Please try this update:

https://admin.fedoraproject.org/updates/linux-firmware-20150521-52.git3161bfa4.fc22

Comment 3 Krzysztof Jurewicz 2015-05-26 08:18:24 UTC
The connection seems to be stable now, thanks!

Comment 4 Fedora Update System 2015-05-27 12:19:39 UTC
linux-firmware-20150521-52.git3161bfa4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-8693/linux-firmware-20150521-52.git3161bfa4.fc22

Comment 5 Fedora Update System 2015-05-28 12:00:50 UTC
linux-firmware-20150521-52.git3161bfa4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Francesco Frassinelli (frafra) 2015-06-07 09:18:56 UTC
*** Bug 1228190 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.